package de.hampelratte.yaggui.gui;

import java.awt.Font;

import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

public class LightBlueTheme extends DefaultMetalTheme {
    public String getName() {
        return "LightBlueTheme";
    }

    private final ColorUIResource primary1 = new ColorUIResource(
            java.awt.Color.blue);

    private final ColorUIResource primary2 = new ColorUIResource(
            new java.awt.Color(75, 160, 240));

    private final ColorUIResource primary3 = new ColorUIResource(
            new java.awt.Color(75, 160, 240));

    private final ColorUIResource secondary1 = new ColorUIResource(
            java.awt.Color.gray);

    private final ColorUIResource secondary2 = new ColorUIResource(
            java.awt.Color.gray);

    private final ColorUIResource secondary3 = new ColorUIResource(
            java.awt.Color.lightGray);

    private final Font sansSerif = new Font("SansSerif", Font.PLAIN, 11);

    private final FontUIResource font = new FontUIResource(sansSerif);

    protected ColorUIResource getPrimary1() {
        return primary1;
    }

    protected ColorUIResource getPrimary2() {
        return primary2;
    }

    protected ColorUIResource getPrimary3() {
        return primary3;
    }

    protected ColorUIResource getSecondary1() {
        return secondary1;
    }

    protected ColorUIResource getSecondary2() {
        return secondary2;
    }

    protected ColorUIResource getSecondary3() {
        return secondary3;
    }

    public FontUIResource getSystemTextFont() {
        return font;
    }
}