package de.hampelratte.yaggui.gui;

import java.io.File;
import java.util.Arrays;
import java.util.Vector;

public class MyFile extends File {
    Vector dirs = new Vector();

    Vector files = new Vector();

    public MyFile(String path) {
        super(path);
    }

    public MyFile(MyFile parent, String child) {
        super((File) parent, child);
    }

    public MyFile(File file) {
        super(file.toString());
    }

    public String[] listSorted() {
        String[] list = this.list();
        for (int i = 0; i < list.length; i++) {
            if (new File(this.getAbsolutePath()
                    + System.getProperty("file.separator") + list[i])
                    .isDirectory()) {
                dirs.add(list[i]);
            } else {
                files.add(list[i]);
            }
        }

        Object[] dirA = dirs.toArray();
        Object[] fileA = files.toArray();

        Arrays.sort(dirA);
        Arrays.sort(fileA);

        Object[] all = new Object[dirA.length + fileA.length];

        for (int i = 0; i < dirA.length; i++) {
            all[i] = dirA[i];
        }

        int index = dirA.length;

        for (int i = 0; i < fileA.length; i++) {
            all[i + index] = fileA[i];
        }

        String[] result = new String[all.length];
        for (int i = 0; i < all.length; i++) {
            result[i] = (String) all[i];
        }
        return result;
    }

    public String toString() {
        if (getName().equals(""))
            return getAbsolutePath();
        else
            return " " + this.getName();
    }
}