package de.hampelratte.yaggui;

import java.util.Enumeration;
import java.util.Vector;

public class Load {
    private int session = -1;

    private String state = "";

    private String hash = "";

    private String file = "";

    private long transmitted = 0;

    private long size = 0;

    private boolean shared = false;

    private int throughput = 0;

    private int elapsed = 0;

    private Vector sources = new Vector();

    private boolean expanded = false;

    public Load(int session) {
        this.session = session;
    }

    public int getSession() {
        return session;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getFile() {
        return file;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public String getHash() {
        return hash;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setTransmitted(long bytes) {
        this.transmitted = bytes;
    }

    public long getTransmitted() {
        return transmitted;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public long getSize() {
        return size;
    }

    public void setShared(boolean shared) {
        this.shared = shared;
    }

    public boolean getShared() {
        return shared;
    }

    public void setThroughput(int throughput) {
        this.throughput = throughput;
    }

    public int getThroughput() {
        return throughput;
    }

    public void setElapsed(int elapsed) {
        this.elapsed = elapsed;
    }

    public int getElapsed() {
        return elapsed;
    }

    public void addSource(Source source) {
        this.sources.add(source);
    }

    public void delSource(String user) {
        Enumeration enumeration = sources.elements();
        while (enumeration.hasMoreElements()) {
            Source src = (Source) enumeration.nextElement();
            if (src.getUser().equals(user)) {
                sources.remove(src);
            }
        }

        // debug output
        /*
         * enumeration = sources.elements();
         * while(enumeration.hasMoreElements()) { Source src =
         * (Source)enumeration.nextElement(); System.out.println(src); }
         */
    }

    public Object getSource(int i) {
        return sources.elementAt(i);
    }

    public Vector getSources() {
        return sources;
    }

    public int getSourceIndex(Source src) {
        return sources.indexOf(src);
    }

    public int getSourceCount() {
        return sources.size();
    }

    public Enumeration sources() {
        return sources.elements();
    }

    public String getName() {
        String path = getFile();
        String name = path.substring(path.lastIndexOf("/") + 1, path.length());
        return name;
    }

    public String toString() {
        return getName();
    }

    public boolean equals(Load l) {
        if (this.getSession() == l.getSession())
            return true;
        else
            return false;
    }

    public void setExpanded(boolean expanded) {
        this.expanded = expanded;
    }

    public boolean getExpanded() {
        return expanded;
    }
}