package de.hampelratte.yaggui;

public class Source {
    private String user = null;

    private String url = null;

    private String state = null;

    private String protocolState = null;

    private long transmitted = 0;

    private long start = 0;

    private long total = 0;

    private Load parent = null;

    private int throughput = 0;

    public Source(Load parent) {
        this.parent = parent;
    }

    public Source() {
    }

    public Load getParent() {
        return this.parent;
    }

    public void setParent(Load load) {
        this.parent = load;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getUser() {
        return user;
    }

    public String getUserName() {
        java.util.StringTokenizer st = new java.util.StringTokenizer(user, "@");
        return st.nextToken();
    }

    public void setURL(String url) {
        this.url = url;
    }

    public String getURL() {
        return url;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setProtocolState(String protocolState) {
        this.protocolState = protocolState;
    }

    public String getProtocolState() {
        return protocolState;
    }

    public void setStart(long offset) {
        this.start = offset;
    }

    public long getStart() {
        return start;
    }

    public void setTotal(long offset) {
        this.total = offset;
    }

    public long getTotal() {
        return total;
    }

    public void setTransmitted(long bytes) {
        transmitted = bytes;
    }

    public long getTransmitted() {
        return transmitted;
    }

    public int getElapsed() {
        return parent.getElapsed();
    }

    public String toString() {
        return parent.toString();
    }

    public int getThroughput() {
        return throughput;
    }

    public void setThroughput(int throughput) {
        this.throughput = throughput;
    }
}