package de.hampelratte.yaggui.gui;

import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

class AbstractPanel extends JPanel {
    JPanel parent;

    AbstractPanel(JPanel parent) {
        this.parent = parent;
        this.setLayout(new BorderLayout());
    }

    void setBorder(String title) {
        TitledBorder titledBorder = BorderFactory.createTitledBorder(" "
                + title + " ");
        titledBorder.setTitleFont(new Font("SansSerif", Font.BOLD, 14));
        titledBorder.setTitleJustification(TitledBorder.CENTER);
        this.setBorder(titledBorder);
    }
}