package de.hampelratte.yaggui.gui.treetable;

import java.util.Vector;

class TreeTableTreeNode {
    private boolean isCollapsed = true;

    private Vector data = null;

    private Vector children = new Vector();

    TreeTableTreeNode() {
    }

    TreeTableTreeNode(Vector data) {
        this.data = data;
    }

    public void addChild(Vector c) {
        children.add(c);
    }

    public void removeChild(Vector c) {
        children.remove(c);
    }

    public void removeChildAt(int i) {
        children.removeElementAt(i);
    }

    public Vector getChildAt(int i) {
        return (Vector) children.get(i);
    }

    public boolean isCollapsed() {
        return isCollapsed;
    }

    public void setCollapsed(boolean isCollapsed) {
        this.isCollapsed = isCollapsed;
    }

    public Vector getData() {
        return data;
    }

    public void setData(Vector data) {
        this.data = data;
    }

    public int getChildCount() {
        return children.size();
    }
}